Nestopia Core API: Nes::Api::User::File::Action

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Enum Nes::Api::User::File::Action

Action event.

Field Summary
`LOAD_BATTERY = 1` For loading battery-backed RAM into a cartridge.
`LOAD_EEPROM` For loading EEPROM into a cartridge.
`LOAD_FDS` For patching a Famicom Disk System image.
`LOAD_ROM` For loading ROM into a cartridge.
`LOAD_SAMPLE` For loading raw PCM audio samples.
`LOAD_SAMPLE_AEROBICS_STUDIO` For loading raw PCM audio samples used in Aerobics Studio.
`LOAD_SAMPLE_MOERO_PRO_TENNIS` For loading raw PCM audio samples used in Moero Pro Tennis.
`LOAD_SAMPLE_MOERO_PRO_YAKYUU` For loading raw PCM audio samples used in Moero Pro Yakyuu.
`LOAD_SAMPLE_MOERO_PRO_YAKYUU_88` For loading raw PCM audio samples used in Moero Pro Yakyuu 88.
`LOAD_SAMPLE_TERAO_NO_DOSUKOI_OOZUMOU` For loading raw PCM audio samples used in Terao No Dosukoi Oozumou.
`LOAD_TAPE` For loading cassette tape recording.
`LOAD_TURBOFILE` For loading Turbo File device data.
`SAVE_BATTERY` For saving the battery-backed RAM in a cartridge.
`SAVE_EEPROM` For saving the EEPROM in a cartridge.
`SAVE_FDS` For saving a modified Famicom Disk System image to patch or directly to image.
`SAVE_TAPE` For saving the cassette tape recording.
`SAVE_TURBOFILE` For saving Turbo File device data.

Field Detail

### LOAD_BATTERY

    public LOAD_BATTERY = 1

  For loading battery-backed RAM into a cartridge.

### LOAD_EEPROM

    public LOAD_EEPROM

  For loading EEPROM into a cartridge.

### LOAD_FDS

    public LOAD_FDS

  For patching a Famicom Disk System image.

### LOAD_ROM

    public LOAD_ROM

  For loading ROM into a cartridge.

### LOAD_SAMPLE

    public LOAD_SAMPLE

  For loading raw PCM audio samples.

### LOAD_SAMPLE_AEROBICS_STUDIO

    public LOAD_SAMPLE_AEROBICS_STUDIO

  For loading raw PCM audio samples used in Aerobics Studio.

### LOAD_SAMPLE_MOERO_PRO_TENNIS

    public LOAD_SAMPLE_MOERO_PRO_TENNIS

  For loading raw PCM audio samples used in Moero Pro Tennis.

### LOAD_SAMPLE_MOERO_PRO_YAKYUU

    public LOAD_SAMPLE_MOERO_PRO_YAKYUU

  For loading raw PCM audio samples used in Moero Pro Yakyuu.

### LOAD_SAMPLE_MOERO_PRO_YAKYUU_88

    public LOAD_SAMPLE_MOERO_PRO_YAKYUU_88

  For loading raw PCM audio samples used in Moero Pro Yakyuu 88.

### LOAD_SAMPLE_TERAO_NO_DOSUKOI_OOZUMOU

    public LOAD_SAMPLE_TERAO_NO_DOSUKOI_OOZUMOU

  For loading raw PCM audio samples used in Terao No Dosukoi Oozumou.

### LOAD_TAPE

    public LOAD_TAPE

  For loading cassette tape recording.

### LOAD_TURBOFILE

    public LOAD_TURBOFILE

  For loading Turbo File device data.

### SAVE_BATTERY

    public SAVE_BATTERY

  For saving the battery-backed RAM in a cartridge.

### SAVE_EEPROM

    public SAVE_EEPROM

  For saving the EEPROM in a cartridge.

### SAVE_FDS

    public SAVE_FDS

  For saving a modified Famicom Disk System image to patch or directly to image.

### SAVE_TAPE

    public SAVE_TAPE

  For saving the cassette tape recording.

### SAVE_TURBOFILE

    public SAVE_TURBOFILE

  For saving Turbo File device data.

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD